Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.framework.osgi
Class OSGILauncher

    java.lang.Object
      org.eclipse.birt.core.framework.osgi.OSGILauncher

    public class OSGILauncher

extends java.lang.Object

Nested Class Summary
`protected static class` | `OSGILauncher.ChildFirstURLClassLoader` The ChildFirstURLClassLoader alters regular ClassLoader delegation and will check the URLs used in its initialization for matching classes before delegating to it's parent.

Constructor Summary
`OSGILauncher()`

Method Summary
`protected int` | `findMax(java.lang.String[] candidates)`
`java.lang.ClassLoader` | `getFrameworkContextClassLoader()`
`protected java.lang.String` | `searchFor(java.lang.String target, java.lang.String start)` Searches for the given target directory starting in the "plugins" subdirectory of the given location.
`protected void` | `setupSecurityPolicy()`
`void` | `shutdown()`
`void` | `startup(PlatformConfig config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSGILauncher

    public OSGILauncher()

Method Detail

### startup

    public void startup(PlatformConfig config)
                 throws BirtException

  Throws:
    `BirtException`

### getFrameworkContextClassLoader

    public java.lang.ClassLoader getFrameworkContextClassLoader()

### shutdown

    public void shutdown()

### searchFor

    protected java.lang.String searchFor(java.lang.String target,
                                         java.lang.String start)

  Searches for the given target directory starting in the "plugins" subdirectory of the given location. If one is found then this location is returned; otherwise an exception is thrown.

  Parameters:
    `target` -
    `start` - the location to begin searching
  Returns:
    the location where target directory was found

### findMax

    protected int findMax(java.lang.String[] candidates)

### setupSecurityPolicy

    protected void setupSecurityPolicy()
                                throws FrameworkException

  Throws:
    `FrameworkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.